<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ImpressaoLiquidacaoERP StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ImpressaoLiquidacaoERP
 * @subpackage Structs
 */
class ImpressaoLiquidacaoERP extends AbstractStructBase
{
    /**
     * The Dados
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Dados;
    /**
     * Constructor method for ImpressaoLiquidacaoERP
     * @uses ImpressaoLiquidacaoERP::setDados()
     * @param string $dados
     */
    public function __construct($dados = null)
    {
        $this
            ->setDados($dados);
    }
    /**
     * Get Dados value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDados()
    {
        return isset($this->Dados) ? $this->Dados : null;
    }
    /**
     * Set Dados value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $dados
     * @return \StructType\ImpressaoLiquidacaoERP
     */
    public function setDados($dados = null)
    {
        // validation for constraint: string
        if (!is_null($dados) && !is_string($dados)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dados)), __LINE__);
        }
        if (is_null($dados) || (is_array($dados) && empty($dados))) {
            unset($this->Dados);
        } else {
            $this->Dados = $dados;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ImpressaoLiquidacaoERP
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
